### Method

# Gio FileAttributeMatcher matches

#### Declaration

    gboolean
    g_file_attribute_matcher_matches (
      GFileAttributeMatcher* matcher,
      const char* attribute
    )

#### Description

Checks if an attribute will be matched by an attribute matcher. If the matcher was created with the “*” matching string, this function will always return `TRUE`.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `attribute` matches `matcher`. `FALSE` otherwise.